<% if @reading.valid? %>
    $("#reading_panel").html("<%= j render partial: 'reading_panel', locals: {readings: @readings} if @readings.any? %>");
    $("#reading_label").val('');
<% else %>
    $("#error_box").html("<%= j render partial: 'shared/error_messages', locals: {reading: @reading} %>");
<% end %>